Module | YARD::Templates::Helpers::TextHelper
In: | lib/yard/templates/helpers/text_helper.rb

Helper methods for text template formats.

### Methods

align_right h hr indent signature title_align_right wrap

### Public Instance methods

align_right(text, spacer = ' ', col = 72)

@return [String] aligns text to the right

h(text)

@return [String] escapes text

hr(col = 72, sep = "-")

@return [String] returns a horizontal rule for output

indent(text, len = 4)

@return [String] indents `text` by `len` characters.

signature(meth)

@return [String] the formatted signature for a method

title_align_right(text, col = 72)

@return [String] aligns a title to the right

wrap(text, col = 72)

@return [String] wraps text at `col` columns.

[Validate]